%global commit 688764bf967775a8d8fe41715fec083a86600bec
%global gitdate 20181224
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:      srelay
Version:   0.4.8p3
Release:   0.%{gitdate}.git%{shortcommit}%{?dist}.3sunshine
Summary:   A SOCKS 4/5 protocol proxy server

Group:     Utilities/System
# unknown
License:   GPLv2+
URL:       https://socks-relay.sourceforge.io/
# git clone git://git.code.sf.net/p/socks-relay/srelay %{name}
# (cd %{name} && git checkout %{commit})
# tar czvvpf %{name}-g%{commit}.tar.gz %{name}
Source0:   %{name}-g%{commit}.tar.gz
# some warnings aren't supported by older gcc
Patch0:    srelay-0.4.8-no_extra_warnings.patch
# report error reason
# https://sourceforge.net/p/socks-relay/patches/3/
Patch1:    0001-report-error-reason-on-failure-to-bind-to-listen-soc.patch

BuildRequires: gcc
# for Patch0:
BuildRequires: autoconf

%description
Srelay is a socks 4/5 protocol proxy server. 
Supports socks connect/bind request in the protocol v4, v4a, and v5.
Supports socks server chaining with both v4 and v5 servers.
Supports Username/Password authentication in v5 (not recommended).
Supports IPv6 as well as IPv4.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .no_extra_warnings
%patch1 -p1 -b .report_error

%build
autoconf
%configure --without-libwrap
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -p -m755 %{name} %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man8
install -p -m644 %{name}.8 %{buildroot}%{_mandir}/man8

%files
%doc README Changes srelay.conf srelay.passwd
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Thu Feb 07 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 0.4.8p3-0.git688764b.3sunshine
- add a patch for better error reporting

* Tue Jan 15 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 0.4.8p3-0.git688764b.2sunshine
- build without libwrap support, tcp_wrappers-devel is dropped in newer Fedoras

* Tue Jan 15 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 0.4.8p3-0.git688764b.1sunshine
- initial RPM
